Installer - Bug #28559

Hardcoding Proxy Command breaks running Ansible on Debian
12/21/2019 09:51 PM - Marek Hulan

Status: Closed

Priority: Normal
Assignee: Marek Hulén
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 2.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/554

Description
see https://projects.theforeman.org/issues/25481#note-11 for more details

Related issues:
Related to Ansible - Feature #31552: Adjust ssh_args defaults for better perf... Rejected
Related to Installer - Bug #25481: Foreman fails to execute ansible commands ... Closed

Associated revisions

Revision 557cb3f9 - 12/25/2019 09:02 PM - Marek Hulan
Fixes #28559 - keep default ssh args (#554)

Based on https: .ansible.com/ansible/| reference_ ndi nfig.
the ssh args is by default set to "-C -0 ControlMaster=auto -0 ControlPersist=60s". In
2e11f6810d8b4e7e8ce28f91bdf6a534c0f3e2f4, this was overridden to "-o
ProxyCommand=none" only. There seems to be no way to just append arguments, so
listing defaults here is probably the best option.

History

#1 - 12/21/2019 09:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/554 added

#2 - 12/25/2019 09:02 PM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#3 - 12/25/2019 10:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|557cb3f9da765786cf8962a4bb5b1ebe4cfi 1adf.

#4 - 12/24/2020 12:01 PM - Ondfej Ezr
- Related to Feature #31552: Adjust ssh_args defaults for better performance added

#5 - 10/31/2022 02:21 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #25481: Foreman fails to execute ansible commands when connected to ipa server added
